<?php
if($from == 'admin'):
$userList = array('' => '') + $this->dao->select('account, realname')->from(TABLE_USER)->where('deleted')->eq('0')->andWhere('parent')->eq('')->fetchPairs();
unset($userList[$user->account]);
$userList = html::select('parent', $userList, $user->parent, "class='form-control'");
$unofficialChecked = $user->unofficial ? "checked='checked'" : '';
$noSalaryChecked   = $user->noSalary ? "checked='checked'" : '';
$dispatchChecked   = $user->dispatch ? "checked='checked'" : '';
$companyPairs = array('') + $this->loadModel('company')->getPairs('all');
$companyList  = html::select('company', $companyPairs, $user->company, "class='form-control chosen'");
$html = <<<EOT
<tr class='company'>
  <th>{$lang->user->company}</th>
  <td>{$companyList}</td>
  <th class='parentAccount'>{$lang->user->parent}</th>
  <td class='parentAccount'>
    <div class='input-group'>
      {$userList}
    </div>
  </td>
</tr>
EOT;
$realnameHtml = <<<EOT
<div class='input-group'>
  <input type="text" name="realname" id="realname" value={$user->realname} class="form-control" autocomplete="off">
  <span class='input-group-addon'>
    <label class='checkbox-inline'>
      <input type='checkbox' name='unofficial' id='unofficial' value='1' {$unofficialChecked} /> {$lang->user->unofficial}
    </label>
  </span>
  <span class='input-group-addon'>
    <label class='checkbox-inline'>
      <input type='checkbox' name='noSalary' id='noSalary' value='1' {$noSalaryChecked} /> {$lang->user->noSalary}
    </label>
  </span>
  <span class='input-group-addon'>
    <label class='checkbox-inline'>
      <input type='checkbox' name='dispatch' id='dispatch' value='1' {$dispatchChecked} /> {$lang->user->dispatch}
    </label>
  </span>
</div>
EOT;
?>
<script>
$('fieldset.fieldset-primary table tbody').append(<?php echo helper::jsonEncode($html);?>);
$('#realname').parent().html(<?php echo helper::jsonEncode($realnameHtml);?>);
$('#parent').chosen();
$('#company').chosen();
</script>
<?php endif;?>
